summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-02-21 11:39:06 +0000
committerJim Meyering <jim@meyering.net>1998-02-21 11:39:06 +0000
commitbd9a38183c2c932f90db97918aa05ad48c8af878 (patch)
tree9b3fe014e9b15da601ad411bad0fbe95d9ae995a /tests
parent45d85e3ba2b9bada6f5d12d7272556a5fd51f2db (diff)
downloadcoreutils-bd9a38183c2c932f90db97918aa05ad48c8af878.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rw-r--r--tests/mv/Makefile.am2
-rwxr-xr-xtests/mv/mv-special-117
2 files changed, 15 insertions, 4 deletions
diff --git a/tests/mv/Makefile.am b/tests/mv/Makefile.am
index fdbab869b..c44750cd1 100644
--- a/tests/mv/Makefile.am
+++ b/tests/mv/Makefile.am
@@ -1,6 +1,6 @@
AUTOMAKE_OPTIONS = 1.1 gnits
TESTS = mv-special-1
-EXTRA_DIST = $(TESTS)
+EXTRA_DIST = $(TESTS) setup
TESTS_ENVIRONMENT = RM=../../src/rm MKDIR=../../src/mkdir \
MKNOD=../../src/mknod MV=../../src/mv DF=../../src/df
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 0cc9f1f7b..ca8525dcd 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -11,8 +11,19 @@ if test -z $other_partition_tmpdir; then
fi
null=.mv-null
-$RM -f $null
-$MKNOD $null p
-$MV $null $other_partition_tmpdir
+
+test_failure=0
+
+$RM -f $null || test_failure=1
+$MKNOD $null p || test_failure=1
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+$MV $null $other_partition_tmpdir || fail=1
$RM -rf $null $other_partition_tmpdir
+
+exit $fail